import { getPermalink, getBlogPermalink, getAsset } from './utils/permalinks';

export const headerData = {
  links: [
    {
      text: 'Technology',
      href: getPermalink('/technology'),
    },
    { 
      text: 'Farming',
      href: getPermalink('/farming'),
    },
    {
      text: 'Ecosystem',
      href: getPermalink('/ecosystem'),
    },  
    {
      text: 'About',
      href: getPermalink('/about'),
    },
    {
      text: 'Contact',
      href: getPermalink('/contact'),
    },
  ],
  actions: [{ text: 'Get INCA Nodes', href: 'https://threefold.io', target: '_blank' }],
};

export const footerData = {
  links: [
    {
      title: 'Menu',
      links: [
        { text: 'Home', href: '/' },
        { text: 'Technology', href: 'technology' },
        { text: 'Farming', href: 'farming' },
        { text: 'Ecosystem', href: 'ecosystem' },
        { text: 'About', href: 'about' },
        { text: 'Contact', href: 'contact' },
      ],
    },
  ],
  secondaryLinks: [
    { text: 'Terms', href: getPermalink('/terms') },
    { text: 'Privacy Policy', href: getPermalink('/privacy') },
  ],
  socialLinks: [
    { ariaLabel: 'X', icon: 'tabler:brand-x', href: 'https://twitter.com/threefold_io' },
    { ariaLabel: 'Github', icon: 'tabler:brand-github', href: 'https://github.com/threefoldtech' },
  ],
  footNote: `
    A project by <a class="text-blue-600 underline dark:text-muted" href="https://threefold.io"> ThreeFold</a> · All rights reserved.
  `,
};